Loading...
Searching...
No Matches
Opm::GPMaint Class Reference

## Classes

struct | State

## Public Types

enum class | FlowTarget { RESV_PROD = 0 , RESV_OINJ = 1 , RESV_WINJ = 2 , RESV_GINJ = 3 , SURF_OINJ = 4 , SURF_WINJ = 5 , SURF_GINJ = 6 }

## Public Member Functions

| GPMaint (std::size_t report_step, const DeckRecord &record)
double | pressure_target () const
double | prop_constant () const
double | time_constant () const
double | rate (State &state, double current_rate, double error, double dt) const
void | resetState (State &state) const
std::optional< std::pair< std::string, int > > | region () const
FlowTarget | flow_target () const
bool | operator== (const GPMaint &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static GPMaint | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Group/GPMaint.hpp
- opm/input/eclipse/Schedule/Group/GPMaint.cpp